Package be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

# Class RefscopeType

java.lang.Object
be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.RefscopeType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:58+02:00", comments="JAXB RI v4.0.5") public class RefscopeType extends Object implements Serializable
to specify if the minref and maxref references are adjusted to the patient's age, sex, ...,

Java class for refscopeType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="refscopeType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-REFSCOPE"/>
             <element name="refvalue" maxOccurs="unbounded" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="minref" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}minrefType" minOccurs="0"/>
                       <element name="maxref" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}maxrefType" minOccurs="0"/>
                       <element name="context" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RefscopeType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CDREFSCOPE`
  `getCd()`
  Gets the value of the cd property.
  `List<Refvalue>`
  `getRefvalues()`
  to specify reference values for a given context Gets the value of the refvalues property.
  `void`
  `setCd(CDREFSCOPE value)`
  Sets the value of the cd property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RefscopeType

    public RefscopeType()

- ## Method Details

  - ### getCd

    public CDREFSCOPE getCd()
    Gets the value of the cd property.
    Returns:
      possible object is `CDREFSCOPE`

  - ### setCd

    public void setCd(CDREFSCOPE value)
    Sets the value of the cd property.
    Parameters:
      `value` - allowed object is `CDREFSCOPE`

  - ### getRefvalues

    public List<Refvalue> getRefvalues()
    to specify reference values for a given context Gets the value of the refvalues property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the refvalues property.

    For example, to add a new item, do as follows:

         getRefvalues().add(newItem);

    Objects of the following type(s) are allowed in the list `Refvalue`

    Returns:
      The value of the refvalues property.